Crear Oportunidad
curl --request POST \
--url https://api.plazbot.com/api/opportunity \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"workspaceId": "<string>",
"name": "<string>",
"description": "<string>",
"amount": 123,
"assignedComercialId": "<string>",
"contactId": "<string>",
"stageId": "<string>",
"pipelineId": "<string>",
"customFields": [
{
"code": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.plazbot.com/api/opportunity"
payload = {
"workspaceId": "<string>",
"name": "<string>",
"description": "<string>",
"amount": 123,
"assignedComercialId": "<string>",
"contactId": "<string>",
"stageId": "<string>",
"pipelineId": "<string>",
"customFields": [
{
"code": "<string>",
"value": "<string>"
}
]
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
workspaceId: '<string>',
name: '<string>',
description: '<string>',
amount: 123,
assignedComercialId: '<string>',
contactId: '<string>',
stageId: '<string>',
pipelineId: '<string>',
customFields: [{code: '<string>', value: '<string>'}]
})
};
fetch('https://api.plazbot.com/api/opportunity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"opportunity": {
"id": "<string>",
"opportCode": "<string>",
"opportStatus": 123,
"winLossStatus": 123,
"winLossDate": "2023-11-07T05:31:56Z",
"finalAmount": 123,
"creationDate": "2023-11-07T05:31:56Z",
"creationTypeId": 123,
"updatedDate": "2023-11-07T05:31:56Z",
"deletionDate": "2023-11-07T05:31:56Z",
"userDeletion": "<string>",
"statusId": 123,
"files": [
"<string>"
],
"orderInCards": 123,
"orderInCardsLastUpdated": "2023-11-07T05:31:56Z",
"activities": [
"<string>"
],
"segmentationId": "<string>",
"workspaceId": "<string>",
"name": "<string>",
"description": "<string>",
"amount": 123,
"userCreation": "<string>",
"contactId": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"assignedAgentId": "<string>",
"stageId": "<string>",
"pipelineId": "<string>",
"customFields": [
{
"code": "<string>",
"value": "<string>"
}
]
}
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Opportunity
Create Opportunity
Servicio para crear una nueva oportunidad de negocio.
POST
/
api
/
opportunity
Crear Oportunidad
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Body
application/json
Identificador del workspace
Nombre de la oportunidad
Descripcion de la oportunidad
Monto de la oportunidad
ID del comercial asignado. Se puede obtener del servicio User: GetInformationByEmail
ID del contacto asociado a la oportunidad
ID de la etapa del proceso comercial
ID del proceso comercial (pipeline) al que pertenece la oportunidad
Campos personalizados
Show child attributes
Show child attributes
Response
Oportunidad creada exitosamente
⌘I

